org.appng.xml.platform

## Class FieldPermissions

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.FieldPermissions

- All Implemented Interfaces:
    Serializable

      public class FieldPermissions
      extends BaseObject
      implements Serializable

  The permissions for a field.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FieldPermissionType` | `mode`
    `protected List<Permission>` | `permission`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldPermissions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldPermissionType` | `getMode()` The mode for the field permission
    `List<Permission>` | `getPermission()` Gets the value of the permission property.
    `void` | `setMode(FieldPermissionType value)` Sets the value of the mode property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### permission

          protected List<Permission> permission

    - #### mode

          protected FieldPermissionType mode

  - ### Constructor Detail

    - #### FieldPermissions

          public FieldPermissions()

  - ### Method Detail

    - #### getPermission

          public List<Permission> getPermission()

      Gets the value of the permission property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the permission property.

      For example, to add a new item, do as follows:

              getPermission().add(newItem);

      Objects of the following type(s) are allowed in the list `Permission`

    - #### getMode

          public FieldPermissionType getMode()

      The mode for the field permission
      Returns:
        possible object is `FieldPermissionType`

    - #### setMode

          public void setMode(FieldPermissionType value)

      Sets the value of the mode property.
      Parameters:
        `value` - allowed object is `FieldPermissionType`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.